.m-searchbar {
  --ip-label-color: #000;
  --ip-bar-content-color: rgb(207, 207, 207);
  --searchbar-bg-color: #fff;

  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  z-index: 1001; //in terms of 1, 10, 100 and 1000
  background-color: var(--searchbar-bg-color);
  width: calc(375px - 2.5rem);
  width: 100%;

  &__content-wrapper {
    position: relative;
    padding: 1rem 1.25rem;
  }

  &__ip-label {
    display: block;
    margin-block-end: 1rem;
    color: var(--ip-label-color);
  }

  &__ip-bar {
    padding: 0.375rem 1.25rem;
    border: 0.0625rem solid var(--ip-bar-content-color);
    width: calc(375px - 6rem);
    width: 100%;

    &::placeholder {
      color: var(--ip-bar-content-color);
    }
  }

  .m-icon {
    width: 0.875rem;
    height: 0.875rem;
    position: absolute;
    top: 1rem;
    right: 1.25rem;
  }

//   @media (min-width: 375px) {
//     min-width: 100vw;
//   }
}
